PHPを利用している人に質問です。


・PHP4、PHP5、どちらを利用していますか?両方ですか?
・PHP4を利用している人はPHP5と、PHP5を利用している人はPHP4との互換性を考えて作っていますか?
・オブジェクト指向で制作していますか?
・そのバージョンを利用する理由はなんですか?

その他、PHP4とPHP5について、PHP4はもういらないとか、PHPより○○がいいとか、PHPのここがいい、ダメなどなど、なにかあればどうぞ。

回答の条件
  • 1人5回まで
  • 200 ptで終了
  • 登録:2007/06/11 01:56:49
  • 終了:2007/06/18 02:00:04

回答(4件)

ただいまのポイント : ポイント3 pt / 200 pt ツリー表示 | 新着順
できうる限りPHP5です ibushi2007/06/13 10:44:31ポイント2pt
・PHP4、PHP5、どちらを利用していますか?両方ですか? ALL自前ならPHP5。 請負などで仕方無しにPHP4を使うこともあります。 ・PHP4を利用している人はPHP5と、PHP5を利用している人はPHP4との互換性を考えて作っていますか ...
参考になりました。 wizemperor2007/06/16 01:10:45
基本事項には注意しつつ、後は目的次第ということですね。 組む側としては、OOでの組みやすさを考えてもPHP5ということになるけれど、 仕方なくPHP4ということも少なくないということでしょうか。 レンタルサーバのPHP4 ...
メインは5 studioes2007/06/11 17:16:13ポイント2pt
 自分のところで全部出来る(設定・導入から)なら、5で作りますね。  XMLを扱うことが多いのですが、PHPのXML関連関数は日進月歩なので、出来るだけ新しいバージョンの方が実装が楽なので・・・ もちろん、古いPHPと互 ...
なるほど wizemperor2007/06/16 01:06:10
なるほど、たしかにXMLを扱う場合はPHP5が圧倒的に楽ですね。 PHP5のスクリプトをあまり見かけない気がしているのは、やはりレンタルサーバの影響も大きいということでしょうか。 OOはともかく、個人的にはもっとPHP5が普 ...

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません